Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Functions
eval_jump.c File Reference
`#include "eval_intern.h"`

Go to the source code of this file.

## Data Structures
struct | end_proc_data

## Functions
void | rb_call_end_proc (VALUE data)
void | rb_set_end_proc (void(*func)(VALUE), VALUE data)
void | rb_mark_end_proc (void)
void | Init_jump (void)

## Function Documentation

## ◆ Init_jump()

void Init_jump | ( | void |  | ) |

Definition at line 135 of file eval_jump.c.

References rb_define_global_function().

## ◆ rb_call_end_proc()

void rb_call_end_proc | ( | VALUE | data | ) |

Definition at line 11 of file eval_jump.c.

References rb_ary_new(), and rb_proc_call().

## ◆ rb_mark_end_proc()

void rb_mark_end_proc | ( | void |  | ) |

Definition at line 78 of file eval_jump.c.

References link().

## ◆ rb_set_end_proc()

void rb_set_end_proc | ( | void(*)(VALUE) | func,
|  | VALUE | data
| ) |  |

Definition at line 59 of file eval_jump.c.

References ALLOC, GET_THREAD, link(), list, and rb_thread_struct::top_wrapper.